Subject: Re: [Anima] [Last-Call] Post approval change on draft-ietf-anima-bootstrapping-keyinfra

From: Michael Richardson <[email-masked]>
Date: Mon, 21 Sep 2020 21:21:47 -0400

Just CC'ing the WG on Mark's feedback.  He is the .well-known expert reviewer.
His comments are implemented in -44.

Mark Nottingham <[email-masked]> wrote:
    >> On 22 Sep 2020, at 2:15 am, Michael Richardson <[email-masked]> wrote:
    >>
    >>
    >> Mark Nottingham <[email-masked]> wrote:
    >>> I noticed two things about that diff:
    >>
    >>> 1. 8.3.1 says 'IANA is asked to change the registration of "est" to
    >>> include RFC7030 and this document.' I don't see any use of the `est`
    >>> well-known URI in this document; why is that update necessary?
    >>
    >> Previously, all of the things in this document were /.well-known/est/FOOBAR.
    >> They are now, /.well-known/brski/FOOBAR.
    >> IANA has actually already acted on section 8.3.1, btw.
    >> We need them to undo that.
    >>
    >> I guess that section 8.3.1 should be removed, which I'll do.
    >> I guess since the WG has passed this change, I should push the new version.
    >>
    >> How about if I change it to:
    >>
    >> <t>
    >> IANA is asked to change the registration of "est" to now only
    >> include RFC7030 and no longer this document.

    > Makes sense.

    >>> 2. 8.3.2 asks for the BRSKI registry to be a sub-registry of the
    >>> well-known URI registry. I'm concerned that if adopted as common
    >>> practice, this will make crowd the well-known URI registry with a
    >>> number of application-specific sub-registries. As such my (fairly
    >>> strong) preference would be for this registry to be separate from it.
    >>
    >> So rather than asking for a sub-registry, you'd like us to just establish a
    >> registry.
    >>
    >> <t>
    >> IANA is requested to create a new Registry entitled: "BRSKI well-known URIs".

    > That'd be fine.

    > Cheers / thanks,

    > --
    > Mark Nottingham   https://www.mnot.net/

    > --
    > last-call mailing list
    > [email-masked]
    > https://www.ietf.org/mailman/listinfo/last-call

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-